[Debian-NP-Commits] r302 - people/vagrant/simple-cdd

Vagrant Cascadian debian-np-devel@lists.alioth.debian.org
Fri, 03 Dec 2004 15:40:28 -0700


Author: vagrant-guest
Date: Fri Dec  3 15:40:23 2004
New Revision: 302

Modified:
   people/vagrant/simple-cdd/CONF.sh
   people/vagrant/simple-cdd/build-simple-cdd
   people/vagrant/simple-cdd/checkpackages
Log:
improved checkpackages, use checkpackages during build and exit if require packages are missing.  updated comment. 


Modified: people/vagrant/simple-cdd/CONF.sh
==============================================================================
--- people/vagrant/simple-cdd/CONF.sh	(original)
+++ people/vagrant/simple-cdd/CONF.sh	Fri Dec  3 15:40:23 2004
@@ -29,7 +29,7 @@
 # temporary directory for simple-cdd
 simple_cdd_temp="$simple_cdd_dir/tmp/"
 
-# get default values for most things
+# get default debian-cd values for most things
 . $debian_cd_dir/CONF.sh
 
 # Unset some additional optional variables first to start from a clean state

Modified: people/vagrant/simple-cdd/build-simple-cdd
==============================================================================
--- people/vagrant/simple-cdd/build-simple-cdd	(original)
+++ people/vagrant/simple-cdd/build-simple-cdd	Fri Dec  3 15:40:23 2004
@@ -105,6 +105,9 @@
   exit 1
 fi
 
+# check to make sure all the packages we want are present.
+./checkpackages || exit $?
+
 current_installer="dists/$CODENAME/main/installer-$ARCH/current/"
 if [ -n "$debian_installer_dir" ] && [ -n "$current_installer" ] && [ "$debian_installer_dir" != "$current_installer" ]; then
   echo "WARNING: using installer from: $debian_installer_dir"

Modified: people/vagrant/simple-cdd/checkpackages
==============================================================================
--- people/vagrant/simple-cdd/checkpackages	(original)
+++ people/vagrant/simple-cdd/checkpackages	Fri Dec  3 15:40:23 2004
@@ -8,19 +8,19 @@
 
 for profile in $profiles ; do
   missing_packages=""
-  for a in $(egrep -v ^# profiles/$profile.packages ); do 
+  for a in $(test -r profiles/$profile.packages && egrep -v ^# profiles/$profile.packages ); do 
     test -z "$(find $MIRROR/pool/main/ -type f -name $a*.deb)" && missing_packages="$missing_packages $a"
   done
   if [ -n "$missing_packages" ]; then
-    echo "Packages missing from profile $profile : $missing_packages"
+    echo "ERROR: Packages missing from profile $profile : $missing_packages"
     status="$(($status + 1))"
   fi
   missing_downloads=""
-  for a in $(egrep -v ^# profiles/$profile.downloads ); do 
+  for a in $(test -r profiles/$profile.downloads && egrep -v ^# profiles/$profile.downloads ); do 
     test -z "$(find $MIRROR/pool/main/ -type f -name $a*.deb)" && missing_downloads="$missing_downloads $a"
   done
   if [ -n "$missing_downloads" ]; then
-    echo "Extra packages missing from profile $profile : $missing_downloads"
+    echo "WARNING: Extra packages missing from profile $profile : $missing_downloads"
   fi
 done